Update a message Run in API Explorer
Ask AI
PUT
/api/v1/conversation/{conversation_uuid}/messages/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/conversation/6ff8f7f6-1eb3-3525-be4a-3932c805afed/messages/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"contents":"Hello, welcome to Plannr."}'
Request examples
{
"contents": "Hello, welcome to Plannr."
}
Response examples (200)
{
"uuid": "384c80e5-4909-4a16-90f2-fecc8d400784",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"deleted_at": "2026-08-07T15:29:25+01:00",
"contents": "Welcome to Plannr!",
"edited": true,
"files": [
{
"uuid": "25e43b77-6879-47db-bffa-292e1390ca01",
"created_at": "2026-08-07T15:29:25+01:00",
"original_created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"uploaded_at": "2026-08-07T15:29:25+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-08-07T15:29:25+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/0a612242-410e-42dd-93be-21b5ad364b28/download",
"folder_name": "folder 2",
"folder": {
"uuid": "bde45d1d-e84a-43e3-9fd9-b3c41ba5ce4d",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "89e1587b-7ff0-479a-b52f-eb1e50595421"
},
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "15dfe039-893e-4ddc-b0fd-8309bd154547",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "765192aa-418f-4802-a430-62513b927bcd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
],
"author": {
"uuid": "8b44c55a-1708-422b-b387-838172d79085",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "56f4ec36-7b7f-4ef4-8cd3-4b19f373ec13",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-07T14:39:31+01:00",
"end_date": "2026-08-07T15:07:31+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "eb0f54c4-e036-4d7c-8773-1d49e7dd5697",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"tags": {
"uuid": "765192aa-418f-4802-a430-62513b927bcd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-08-07T15:29:25+01:00",
"next_review_date": "2026-08-07T15:29:25+01:00",
"previous_review_date": "2026-08-07T15:29:25+01:00",
"anniversary_review_date": "2026-08-07T15:29:25+01:00",
"terms_of_business_at": "2026-08-07T15:29:25+01:00",
"client_agreement_at": "2026-08-07T15:29:25+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"circles": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"ownership_percentage": 100,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:25",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:25+01:00",
"out_of_office_until": "2026-08-07T15:29:25+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "2244294c-23fd-429a-b952-64a6fc469ad4",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"user": {
"uuid": "2f0acd97-6bae-46b7-8d73-78ecba100ab2",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"current_account": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"current_login": {
"uuid": "0eee6539-8047-44ea-b6cb-c98311d93d13",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"expires_at": "2026-11-15T15:29:32+00:00",
"has_write_permission": false,
"has_delete_permission": false,
"primary": false,
"receives_unread_notifications_email": true,
"wealth_enabled": true,
"goals_enabled": true,
"factfind_enabled": true,
"tasks_enabled": true,
"welcome_enabled": true,
"first_name": "Gareth",
"last_name": "Thompson",
"email": "gareth@plannrcrm.com",
"user_type": "standard",
"is_impersonated": false
},
"two_factor_enabled": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-08-07T15:29:25+01:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"current_time_entry": {
"uuid": "56f4ec36-7b7f-4ef4-8cd3-4b19f373ec13",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-07T14:39:31+01:00",
"end_date": "2026-08-07T15:07:31+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"session_expires_at": "2026-08-07T15:29:25+01:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
},
"reactions": [
{
"uuid": "58aeecbd-6f04-45cf-817d-bbf43934f7e4",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"account_uuid": "bd649f40-a31c-447d-8a5d-4a69f45ac6d6",
"account_name": "Gareth Thompson",
"reaction": "like"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}